## mcpp 2.7.1

=== debian/changelog ===
mcpp (2.7.1) unstable; urgency=low

  * New upstream release.

 -- Kiyoshi Matsui <kmatsui@t3.rim.or.jp>  Sat, 24 May 2008 18:40:22 +0900

mcpp (2.7-3) unstable; urgency=low

  * Provide mcpp-doc package as well.  Thanks to 2.6.4-2ubuntu1 package.

 -- Kiyoshi Matsui <kmatsui@t3.rim.or.jp>  Mon, 07 Apr 2008 18:08:47 +0900

mcpp (2.7-2) unstable; urgency=low

  * debian/control, debian/rules: Provide packages libmcpp0 and
    libmcpp0-dev as well as mcpp (Closes: #474169).
    Thanks to Francisco Moya.
  * debian/copyright: Updated.

  NIIBE Yutaka:
  * src/Makefile.am: Build mcpp with libmcpp.
  * src/main_libmcpp.c: New file.
  * Makefile.am: Install mcpp.1 even if MCPP_LIB is defined.
  * debian/libmcpp-dev.{dirs,install}, debian/libmcpp0.{dirs,install},
    debian/mcpp.install: New files.
  * debian/rules: Enable dh_install and dh_makeshlibs.
    Supply ac_cv_func_stpcpy=no to configure option to avoid GCC bug.

 -- Kiyoshi Matsui <kmatsui@t3.rim.or.jp>  Sat, 05 Apr 2008 23:21:59 +0900

mcpp (2.7-1) unstable; urgency=low

  * New upstream release.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 28 Mar 2008 11:07:36 +0900

mcpp (2.6.4-2) unstable; urgency=low

  * Applied a patch of 1796222 at sf.net.
  * debian/control (Standards-Version): It now follows 3.7.3.
  * debian/rules (clean): Fix distclean.
  (install): Remove empty /usr/lib.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 25 Jan 2008 09:35:00 +0900

mcpp (2.6.4-1) unstable; urgency=low

  * New upstream release.

 -- Kiyoshi Matsui <kmatsui@t3.rim.or.jp>  Sun, 20 May 2007 22:55:19 +0900

mcpp (2.6.3-1) unstable; urgency=low

  * Initial Release by the author of mcpp.

 -- Kiyoshi Matsui <kmatsui@t3.rim.or.jp>  Sat, 07 Apr 2007 14:27:29 +0900

mcpp (2.6.2-1) unstable; urgency=low

  * New upstream release.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 13 Nov 2006 16:31:58 +0900

mcpp (2.6.1-2) unstable; urgency=low

  * configure.ac: Revert the change for automake 1.9 to minimize diff.
  (The fix has been reported to upstream and it will be included in
  forthcoming next release.)

 -- NIIBE Yutaka <gniibe@fsij.org>  Sat, 21 Oct 2006 14:38:24 +0900

mcpp (2.6.1-1) unstable; urgency=low

  * configure.ac: Fix for automake 1.9.
  * debian/rules: Install the manual.
  * debian/control (Standards-Version): Follows new standard 3.7.2.2.
  * debian/watch: The upstram has been moved.
  * New upstream release

 -- NIIBE Yutaka <gniibe@fsij.org>  Sat, 14 Oct 2006 15:25:32 +0900

mcpp (2.5-1) unstable; urgency=low

  * New upstream release

 -- NIIBE Yutaka <gniibe@fsij.org>  Sat, 16 Apr 2005 15:58:16 +0900

mcpp (2.4.1-3) unstable; urgency=low

  * debian/control: Improve Description.
  * debian/watch: Prepend opts=pasv before URL.

 -- NIIBE Yutaka <gniibe@fsij.org>  Sat, 23 Oct 2004 23:18:57 +0900

mcpp (2.4.1-2) unstable; urgency=low

  * src/mcpp.1: Fix formatting.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon,  9 Aug 2004 17:21:10 +0900

mcpp (2.4.1-1) unstable; urgency=low

  * Initial Release.
    config/config.guess, config/config.sub: Import up-to-date version.
    src/mcpp.1: Added.
    closes: Bug#239704
  
 -- NIIBE Yutaka <gniibe@fsij.org>  Mon,  2 Aug 2004 22:04:32 +0900
