=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Based on template: GNU copyright 1997 to 1999 by Joey Hess.

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-mcpplib CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp
build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install 
#	LICENSE is included in debian/copyright
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/mcpp/LICENSE

	mkdir -p debian/mcpp-doc/usr/share/doc/mcpp
	mkdir -p debian/mcpp-doc/usr/share/doc/mcpp-doc
	mv debian/tmp/usr/share/doc/mcpp/*.html \
		debian/mcpp-doc/usr/share/doc/mcpp/
	for i in debian/mcpp-doc/usr/share/doc/mcpp/*.html; do \
	  i=$$(basename $$i); \
	  dh_link -pmcpp-doc \
	    /usr/share/doc/mcpp/$$i /usr/share/doc/mcpp-doc/$$i; \
	done

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol -pmcpp-doc
	dh_md5sums -pmcpp-doc
	dh_builddeb -pmcpp-doc

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -pmcpp -plibmcpp0 -plibmcpp-dev
	dh_md5sums -pmcpp -plibmcpp0 -plibmcpp-dev
	dh_builddeb -pmcpp -plibmcpp0 -plibmcpp-dev

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
