## mcpp 2.7.1maemo1

=== debian/changelog ===
mcpp (2.7.1maemo1) unstable; urgency=low

  * Packaging for fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat, 15 May 2010 21:41:22 +0200
