=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mcpp
 Section: devel
 Priority: optional
-Maintainer: Kiyoshi Matsui <kmatsui@t3.rim.or.jp>
-Uploaders: NIIBE Yutaka <gniibe@fsij.org>
+Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
 Build-Depends: debhelper (>= 5)
 Standards-Version: 3.7.3
