## mcpp 2.7.2

=== debian/changelog ===
mcpp (2.7.2-4) unstable; urgency=medium

  * Fix for ppc64el.  Thanks to Fernando Seiti Furusato (Closes: #752826).
  * debian/control (Build-Depends): Require dh-autoreconf.
    (Standards-Version): Conforms to 3.9.5.
  * debian/rules: Add --with autoreconf.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 27 Jun 2014 13:38:05 +0000

mcpp (2.7.2-3) unstable; urgency=low

  * debian/control (Build-Depends): Require autotools-dev.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 09 Jul 2013 04:16:01 +0000

mcpp (2.7.2-2) unstable; urgency=low

  * debian/control (DM-Upload-Allowed): Remove.
    (Build-Depends): Require debhelper >= 9.
    (Standards-Version): Conforms to 3.9.4.
    [libmcpp0] (Multi-Arch, Pre-Depends): Add.
    (Homepage): New.
    (Description): Fix  (Closes: #703462).  Thanks to Erik Esterer.
  * debian/compat: Require 9.
  * debian/source/format: New.
  * Incorporate NMU (Closes: #611749).  Thanks to Cleto Martin Angelina.
  * debian/patches/01-zeroc-fixes.patch: New.
  * debian/mcpp-doc.install: New.
  * debian/{libmcpp0.install,libmcpp-dev.install}: Update for Multi-arch
    support.  Remove *.la.
  * debian/patches/02-gniibe-fixes.patch: New.  Thanks to Alexandre Rebert
    for finding this bug.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 09 Jul 2013 01:06:21 +0000

mcpp (2.7.2-1.1) unstable; urgency=low

  * Non-maintainer upload.

 -- Cleto Martin Angelina <cleto.martin@gmail.com>  Tue, 01 Feb 2011 12:38:46 +0100

mcpp (2.7.2-1) unstable; urgency=low

  * New upstream release.

 -- Kiyoshi Matsui <kmatsui@t3.rim.or.jp>  Wed, 10 Feb 2010 10:15:10 +0900
